package edu.umich.ac;

import android.app.Activity;
import android.os.Bundle;
import android.view.Window;
import android.view.WindowManager;
import android.view.ViewGroup.LayoutParams;

public class CameraView extends Activity {
	
	Preview mPreview;
	EffectView mEffectView;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
        // Hide the window title.
		getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN, WindowManager.LayoutParams.FLAG_FULLSCREEN);
        requestWindowFeature(Window.FEATURE_NO_TITLE);
    
        // Create our Preview view and set it as the content of our activity.
        mEffectView = new EffectView(this);
        mPreview = new Preview(this, mEffectView);
        //mPreview.setVisibility(View.INVISIBLE);
        setContentView(mEffectView, new LayoutParams(LayoutParams.FILL_PARENT, LayoutParams.FILL_PARENT));
        addContentView(mPreview, new LayoutParams(160, 120));
        
        /*try {
        	setContentView(R.layout.camera_view);
        } catch (Exception e) {
        	e.printStackTrace();
        }
        mEffectView = (EffectView) findViewById(R.id.effect_view);
        mPreview = (Preview) findViewById(R.id.preview);
        mPreview.setEffectView(mEffectView); */
        
	}
}